GDB (xrefs)

Classes | Namespaces | Functions
xmethod.py File Reference

Go to the source code of this file.

## Classes
class | gdb.xmethod.XMethod
class | gdb.xmethod.XMethodMatcher
class | gdb.xmethod.XMethodWorker
class | gdb.xmethod.SimpleXMethodMatcher
class | gdb.xmethod.SimpleXMethodMatcher.SimpleXMethodWorker

## Namespaces
| gdb.xmethod

## Functions
def | gdb.xmethod._validate_xmethod_matcher (matcher)
def | gdb.xmethod._lookup_xmethod_matcher (locus, name)
def | gdb.xmethod.register_xmethod_matcher (locus, matcher, replace=False)